﻿@using System.Web.Optimization
@using Sitecore.Mvc
@model PhoneStore.Feature.PageContent.ViewModels.DefaultFooterViewModel

@Styles.Render("~/bundles/defaultfooter.css")

    <div class="default-footer">
        @if (Model != null)
        {
            if (Model.HasTextLinks)
            {
                <nav class="nav justify-content-center">
                    @foreach (var item in Model.TextLinks)
                    {
                        <div class="nav-link">
                            @item.Link
                        </div>
                    }
                    @if (Model.IsInExperienceEditorMode)
                    {
                        <div style="clear:both; margin-top: 4px;">
                            <a href="#" class="btn btn-success" style="color: black !important"
                               onclick="javascript:Sitecore.PageModes.PageEditor.postRequest('webedit:new(id=@(Model.TextLinksFolderId))')">
                                Add Text Link
                            </a>
                        </div>
                    }
                </nav>
            }
            if (Model.HasImageLinks)
            {
                <div class="contact-text">
                    @Html.Sitecore().Field("contact text")
                </div>
                <nav class="nav justify-content-center">
                    @foreach (var item in Model.ImageLinks)
                    {
                        <div class="nav-link">
                            @Html.Sitecore().BeginField("Link", item, new { HideDescription = true, haschildren = true })
                                @Html.Sitecore().Field("Image", item)
                            @Html.Sitecore().EndField()
                        </div>
                    }
                    @if (Model.IsInExperienceEditorMode)
                    {
                        <div style="clear:both; margin-top: 4px;">
                            <a href="#" class="btn btn-success" style="color: black !important"
                               onclick="javascript:Sitecore.PageModes.PageEditor.postRequest('webedit:new(id=@(Model.ImageLinksFolderId))')">
                                Add Image Link
                            </a>
                        </div>
                    }
                </nav>
            }
        }
    </div>